QGIS Application - Bug report #9062

QgsOgrFeaturelterator always fetch all feature attributtes but are unnecessary

2013-11-13 03:12 PM - Alvaro Huarte

Status: Closed

Priority: Normal

Assignee: Alvaro Huarte

Category: Data Provider/OGR

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 17709
Description

There is a bug in QgsOgrFeaturelterator::ensureRelevantFields(), the feature cursor always fetchs all attributes ignoring the relevant

fields configuration of the feature request.

This method doesn’t assign the relevant fields of the ogrLayer managed in the feature cursor, it modifies the relevant field definition of a

ogrLayer related in the provider.

The feature cursor works with unmodified configuration of the ogrLayer fetching all attributes from the related dataset.

Associated revisions

Revision af73f30c - 2013-11-14 12:52 AM - Jiirgen Fischer

ogr provider: actually only use relevant fields in feature iterator (fixes #9062)

History

#1 - 2013-11-13 03:26 PM - Alvaro Huarte

- Affected QGIS version changed from 2.0.1 to master

- Pull Request or Patch supplied changed from No to Yes
- Resolution set to fixed/implemented

- % Done changed from 0 to 100

Fixed in pull request:
https://github.com/qgis/QGIS/pull/994

#2 - 2013-11-13 03:53 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"af73f30c27b5ee4860842d79eb59ad3b584€0965".

#3 - 2013-11-13 04:28 PM - Alvaro Huarte

Thanks!
